# dkim_eoh()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_eoh(
    	DKIM *dkim
    );

Denote end-of-headers for a message.

DESCRIPTION

Called When | `dkim_eoh()` is called when the delimiter between the message's headers and its body is encountered.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()` or `dkim_verify()`

NOTES

- This function may return `DKIM_STAT_NOSIG` when verifying if no signature was present in the message headers. This is simply advisory; you must continue executing down to the `dkim_eom()` call to determine whether or not a signature should have been present.
- This function can return `DKIM_STAT_SYNTAX` when verifying if a header that must be signed was not included in a received signature, or if the message appeared to contain no sender header field. In the latter case, the `dkim` handle is rendered unusable by future calls to `dkim_body()` or `dkim_eom()`.
- This function can return `DKIM_STAT_CANTVRFY` when verifying if all discovered signatures were either marked to be ignored, contained syntax errors, or failed verification attempts. This is only tested if the `DKIM_LIBFLAG_EOHCHECK` library flag is set.
- This function can return `DKIM_STAT_SYNTAX` in either mode if the input message does not conform to the header field count checks imposed by the `DKIM_LIBFLAG_STRICTHDRS` library flag.
- This function can return `DKIM_STAT_NORESOURCE` for a verifying handle if an attempt to construct a DNS query based on the selector and domain in a signature exceeded the maximum allowable query size.

Copyright (c) 2005, 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.